curl --request GET \
--url https://{host}/v3/models/{model_id} \
--header 'Authorization: Bearer <token>'{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": "v1",
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"deleted_at": "2023-11-07T05:31:56Z",
"algorithm": "<string>",
"framework": "<string>",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"deployment_date": "2023-11-07T05:31:56Z",
"updated_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"task_params": {
"binary_classification_threshold": 123,
"target_class_order": [
"<string>"
],
"group_by": "<string>",
"top_k": 123,
"class_weights": [
123
],
"weighted_ref_histograms": true
},
"schema": {
"schema_version": 1,
"columns": [
{
"name": "<string>",
"id": "<string>",
"min": 123,
"max": 123,
"categories": [
"<string>"
],
"bins": [
123
],
"replace_with_nulls": [
"<string>"
],
"n_dimensions": 123
}
]
},
"spec": {
"schema_version": 1,
"inputs": [
"<string>"
],
"outputs": [
"<string>"
],
"targets": [
"<string>"
],
"decisions": [
"<string>"
],
"metadata": [
"<string>"
],
"custom_features": [
{
"name": "<string>",
"columns": [
"<string>"
],
"centroids": [
123
],
"tf_idf": [
{}
],
"n_clusters": 123,
"monitor_components": true
}
]
},
"event_id_col": "<string>",
"event_ts_col": "<string>",
"event_ts_format": "<string>",
"xai_params": {
"custom_explain_methods": [
"<string>"
],
"default_explain_method": "<string>"
},
"artifact_files": [
{
"name": "<string>",
"size": 123,
"modified": "2023-11-07T05:31:56Z"
}
],
"is_binary_ranking_model": true
}
}Details of a model for given model id
curl --request GET \
--url https://{host}/v3/models/{model_id} \
--header 'Authorization: Bearer <token>'{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"version": "v1",
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"deleted_at": "2023-11-07T05:31:56Z",
"algorithm": "<string>",
"framework": "<string>",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"deployment_date": "2023-11-07T05:31:56Z",
"updated_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"task_params": {
"binary_classification_threshold": 123,
"target_class_order": [
"<string>"
],
"group_by": "<string>",
"top_k": 123,
"class_weights": [
123
],
"weighted_ref_histograms": true
},
"schema": {
"schema_version": 1,
"columns": [
{
"name": "<string>",
"id": "<string>",
"min": 123,
"max": 123,
"categories": [
"<string>"
],
"bins": [
123
],
"replace_with_nulls": [
"<string>"
],
"n_dimensions": 123
}
]
},
"spec": {
"schema_version": 1,
"inputs": [
"<string>"
],
"outputs": [
"<string>"
],
"targets": [
"<string>"
],
"decisions": [
"<string>"
],
"metadata": [
"<string>"
],
"custom_features": [
{
"name": "<string>",
"columns": [
"<string>"
],
"centroids": [
123
],
"tf_idf": [
{}
],
"n_clusters": 123,
"monitor_components": true
}
]
},
"event_id_col": "<string>",
"event_ts_col": "<string>",
"event_ts_format": "<string>",
"xai_params": {
"custom_explain_methods": [
"<string>"
],
"default_explain_method": "<string>"
},
"artifact_files": [
{
"name": "<string>",
"size": 123,
"modified": "2023-11-07T05:31:56Z"
}
],
"is_binary_ranking_model": true
}
}Documentation Index
Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
model id path parameter
Model JSON response for provided model id